메인 콘텐츠로 건너뛰기

Documentation Index

Fetch the complete documentation index at: https://docs.apigo.ai/llms.txt

Use this file to discover all available pages before exploring further.

권장 엔드포인트

최소한의 요청

{
  "model": "gpt-4.1",
  "input": "Summarize the core value of ApiGo in 3 bullet points."
}

cURL 예

curl https://maas.apigo.ai/v1/responses \
  -H "Authorization: Bearer $YOUR API KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "gpt-4.1",
    "input": "Summarize the core value of ApiGo in 3 bullet points."
  }'

파이썬 예제

from openai import OpenAI

client = OpenAI(
    base_url="https://maas.apigo.ai/v1",
    api_key="<YOUR API KEY>",
)

response = client.responses.create(
    model="gpt-4.1",
    input="Summarize the core value of ApiGo in 3 bullet points.",
)

print(response.output_text)

Node.js 예

import OpenAI from "openai";

const client = new OpenAI({
  baseURL: "https://maas.apigo.ai/v1",
  apiKey: process.env.YOUR API KEY,
});

const response = await client.responses.create({
  model: "gpt-4.1",
  input: "Summarize the core value of ApiGo in 3 bullet points."
});

console.log(response.output_text);

모범 사례

  • 도구 또는 다중 모드 입력으로 성장할 수 있는 새로운 통합에는 responses를 선호합니다.
  • 매 턴마다 전체 기록을 다시 보내는 대신 previous_response_id를 재사용하세요.
  • output_textoutput[]를 중심으로 파서를 구축하세요.